<?php

namespace App\Entities\PagSeguro\Share;

use App\Utils\Builder;

class PagSeguroPhoneBuilder implements Builder {
	protected $country;
	protected $area;
	protected $number;
	protected $type;

	public function build(): PagSeguroPhone {

		$obj = new PagSeguroPhone();
		$obj->setCountry( $this->country );
		$obj->setArea( $this->area );
		$obj->setNumber( $this->number );
		$obj->setType( $this->type );

		return $obj;

	}

	/**
	 *
	 * @param mixed $country
	 */
	public function setCountry($country): PagSeguroPhoneBuilder {

		$this->country = $country;
		return $this;

	}

	/**
	 *
	 * @param mixed $area
	 */
	public function setArea($area): PagSeguroPhoneBuilder {

		$this->area = $area;
		return $this;

	}

	/**
	 *
	 * @param mixed $number
	 */
	public function setNumber($number): PagSeguroPhoneBuilder {

		$this->number = $number;
		return $this;

	}

	/**
	 *
	 * @param mixed $type
	 */
	public function setType($type): PagSeguroPhoneBuilder {

		$this->type = $type;
		return $this;

	}

}

